Pagination

Cursor pagination is used for REST endpoints which return multiple data points. Pagination allows for fetching data after the current page and specifying how many records to return. The next cursor is available in responses with the page attribute.

Requests should use the next cursor URL to query subsequent data. Query parameter afterId specifies the last record previously retrieved. Some endpoints instead use the endDate parameter to specify the end date and older for records to retrieve. Query parameter limit specifies the maximum number of records in a response.


Parameters

ParameterDescription
afterIdRequest page after (older than) this pagination id.
endDateRequest records older than this date (YYYY-MM-DD format). Used for /trading/trades and /trading/settlements resources.
limitMaximum number of results requested. Default usually 25, but varies depending on resource.

Example

GET /v2/transfers?afterId=1968b94b09b8a1a8a381775d1f04978c424d891d50e517774bf984297985b471&limit=100


Next cursor

The next cursor is a URL which references the last record in a set of records. When queried, the next cursor URL will return subsequent records, but otherwise using the same query parameters.